<ion-header>
  <ion-toolbar color="primary">
    <ion-title>Available cages</ion-title>
    <ion-buttons slot="end">
      <ion-button (click)="filter()" fill="clear">
        <ion-icon name="options"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content padding>
  <ion-list *ngIf="stateFilter == 1">
    <ion-item-sliding *ngFor="let item of items">
        <ion-item (click)="navUpdate(item)">
          <ion-label>{{item.name}}</ion-label>
          <ion-label color="danger" text-right *ngIf="item.working == '0'" >Off</ion-label>
          <ion-label color="success"text-right *ngIf="item.working == '1'" >On</ion-label>
        </ion-item>
        <ion-item-options side="end">
          <ion-item-option color="danger" (click)="removeItem(item)">Delete</ion-item-option>
        </ion-item-options>
      </ion-item-sliding>
  </ion-list>

  <ion-list *ngIf="stateFilter == 2">
    <ion-item-sliding *ngFor="let item of items">
        <ion-item *ngIf="item.working == '1'" (click)="navUpdate(item)">
          <ion-label>{{item.name}}</ion-label>
          <ion-label color="success"text-right>On</ion-label>
        </ion-item>
        <ion-item-options side="end">
          <ion-item-option color="danger" (click)="removeItem(item)">Delete</ion-item-option>
        </ion-item-options>
      </ion-item-sliding>
  </ion-list>

  <ion-list *ngIf="stateFilter == 3">
    <ion-item-sliding *ngFor="let item of items">
        <ion-item *ngIf="item.working == '0'" (click)="navUpdate(item)">
          <ion-label>{{item.name}}</ion-label>
          <ion-label color="danger" text-right>Off</ion-label>
        </ion-item>
        <ion-item-options side="end">
          <ion-item-option color="danger" (click)="removeItem(item)">Delete</ion-item-option>
        </ion-item-options>
      </ion-item-sliding>
  </ion-list>

</ion-content>
